Subject: bug#40940: 27.0.91; project-query-replace-regexp stops too early

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Apr 2020 19:04:04 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 29 Apr 2020 18:42:41 +0300
> 
> >> The patch seems okay, but could you describe a case when the shell fails
> >> to expand '~/'? Is that about cmd.exe? Cygwin?
> > 
> > I've bumped into it with cmd.exe on MS-Windows, yes.
> 
> I see. Then LGTM, thank you.

Thanks, pushed to the emacs-27 branch.

> Could you clarify, though, does that mean that no project commands are 
> currently working on Windows, without this patch? Or does that only 
> affect the "transient" project type?

Only the "transient" projects, AFAICT.  At least I tried with a Git
repository under ~/, and got absolute file names in the list.  I hope
Mercurial does the same.  You can test it easily by running

   (project-files (project-current t))

in a suitable set up directory.